//
//  ListViewController.m
//  AdaptiveLayout
//
//  Created by Gene Whitaker on 9/11/14.
//  Copyright (c) 2014 Bombing Brain Interactive. All rights reserved.
//

#import "ListViewController.h"
#import "ListTableViewCell.h"

@interface ListViewController () <UITableViewDataSource, UITableViewDelegate>
@property(strong, nonatomic) NSArray *items;
@end

@implementation ListViewController

-(NSArray*)items {
    if(!_items) {
        _items = @[@"The Spirit of Radio",
                   @"Stick It Out",
                   @"2112",
                   @"YYZ",
                   @"Roll The Bones",
                   @"Show Don't Tell",
                   @"What You're Doing",
                   @"Between The Wheels"
                ];
    }
    return _items;
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.items.count;
}

-(UITableViewCell*)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    ListTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"ListTableViewCell"];
    
    cell.titleLabel.text = self.items[indexPath.row];
    
    return cell;
}

@end
